CONNECT TO HYADES USER DB2ADMIN;

DROP SEQUENCE id_sequence;
DROP SEQUENCE order_sequence;

DROP INDEX DEF_V;
DROP INDEX CBE_OD;
DROP INDEX DEF_C;
DROP INDEX DEF_EP;
DROP INDEX EDE_CDE;
DROP INDEX CORR_EN;
DROP INDEX CORR_ENV;
DROP INDEX CBE_TIME;
DROP INDEX PROX_TB;
DROP INDEX RES_TB;
DROP INDEX SIT_AVAIL;
DROP INDEX SIT_CONF;
DROP INDEX SIT_CONN;
DROP INDEX SIT_CRE;
DROP INDEX SIT_DEP;
DROP INDEX SIT_DESTR;
DROP INDEX SIT_FEAT;
DROP INDEX SIT_OTHER;
DROP INDEX SIT_OTHER_ANY;
DROP INDEX SIT_REP;
DROP INDEX SIT_REQ;
DROP INDEX SIT_START;
DROP INDEX SIT_STOP;

DROP TABLE ContextValueTemp;
DROP TABLE Correlation_Temp;
DROP TABLE Correlation_Params;

DROP TABLE AbstractDefaultEvent;
DROP TABLE AbstractTRCCollectionBoundary;
DROP TABLE AbstractTRCDescription;
DROP TABLE AbstractTRCProcess;
DROP TABLE AbstractTRCView;
DROP TABLE BinaryExpression;
DROP TABLE BinaryExpression_rightOperands;
DROP TABLE CBEAvailableSituation;
DROP TABLE CBECommonBaseEvent;
DROP TABLE CBECommonBaseEvent_contextDataElements;
DROP TABLE CBECommonBaseEvent_otherData;
DROP TABLE CBEComponentIdentification;
DROP TABLE CBEConfigureSituation;
DROP TABLE CBEConnectSituation;
DROP TABLE CBEContextDataElement;
DROP TABLE CBECreateSituation;
DROP TABLE CBEDefaultElement;
DROP TABLE CBEDefaultElement_children;
DROP TABLE CBEDefaultElement_values;
DROP TABLE CBEDefaultEvent;
DROP TABLE CBEDefaultEvent_extendedProperties;
DROP TABLE CBEDependencySituation;
DROP TABLE CBEDestroySituation;
DROP TABLE CBEExtendedDataElement;
DROP TABLE CBEFeatureSituation;
DROP TABLE CBEMsgDataElement;
DROP TABLE CBEMsgDataElement_msgCatalogTokens;
DROP TABLE CBEOtherSituation;
DROP TABLE CBEOtherSituation_anyData;
DROP TABLE CBEReportSituation;
DROP TABLE CBERequestSituation;
DROP TABLE CBESituation;
DROP TABLE CBEStartSituation;
DROP TABLE CBEStopSituation;
DROP TABLE CorrelationContainer;
DROP TABLE CorrelationContainerProxy;
DROP TABLE CorrelationContainerProxy_correlatedAgents;
DROP TABLE CorrelationEngine;
DROP TABLE CorrelationEntry;
DROP TABLE CorrelationEntry_value;
DROP TABLE CorrelationQuery;
DROP TABLE CorrelationQuery_deltaTime;
DROP TABLE CorrelationSourceInfo;
DROP TABLE EAnnotation;
DROP TABLE EAnnotation_contents;
DROP TABLE EAnnotation_details;
DROP TABLE EAnnotation_references;
DROP TABLE EAttribute;
DROP TABLE EClass;
DROP TABLE EClass_eSuperTypes;
DROP TABLE EClassifier;
DROP TABLE EDataType;
DROP TABLE EEnum;
DROP TABLE EEnumLiteral;
DROP TABLE EFactory;
DROP TABLE EModelElement;
DROP TABLE ENamedElement;
DROP TABLE EObject;
DROP TABLE EOperation;
DROP TABLE EOperation_eExceptions;
DROP TABLE EPackage;
DROP TABLE EParameter;
DROP TABLE EReference;
DROP TABLE EStringToStringMapEntry;
DROP TABLE EStructuralFeature;
DROP TABLE ETypedElement;
DROP TABLE Id_Table;
DROP TABLE InstanceQuery;
DROP TABLE LogicalExpression;
DROP TABLE Operand;
DROP TABLE OrderByElement;
DROP TABLE Proxy_Table;
DROP TABLE Query;
DROP TABLE QueryResult;
DROP TABLE QueryResult_resultEntries;
DROP TABLE Query_sources;
DROP TABLE Resource_Table;
DROP TABLE ResultEntry;
DROP TABLE SDBDirective;
DROP TABLE SDBMatchPattern;
DROP TABLE SDBRuntime;
DROP TABLE SDBRuntime_directives;
DROP TABLE SDBRuntime_solutions;
DROP TABLE SDBRuntime_symptoms;
DROP TABLE SDBSolution;
DROP TABLE SDBSolution_directives;
DROP TABLE SDBSymptom;
DROP TABLE SDBSymptom_patterns;
DROP TABLE SDBSymptom_solutions;
DROP TABLE SimpleSearchQuery;
DROP TABLE TRCAgent;
DROP TABLE TRCAgentProxy;
DROP TABLE TRCAgentProxy_internalCorrelations;
DROP TABLE TRCConfiguration;
DROP TABLE TRCEnvironmentVariable;
DROP TABLE TRCExecParameter;
DROP TABLE TRCFilter;
DROP TABLE TRCMonitor;
DROP TABLE TRCNode;
DROP TABLE TRCOption;
DROP TABLE TRCProcessProxy;
DROP TABLE TimeBasedCorrelationQuery;
DROP TABLE UnresolvedCorrelation;
DROP TABLE WhereExpression;
DROP TABLESPACE HYADES_TABLESPACE;
DROP TABLESPACE HYADES_TEMP;

DROP BUFFERPOOL HYADES_BUFFERPOOL;


